The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Configuration Update Status

Prev Next

This URL gets the configuration update status for the specified request_id.

Resource URL

GET /sensor/<sensor_id>/action/update_sensor_config/<request_id>

Request Parameters

Field Name Description Data Type Mandatory
sensor_id Sensor Id Number Yes
RequestId Sensor config update request ID String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
sigsetConfigPercentageComplete Percentage of the push completed Number
sigsetConfigStatusMessage Status message of the push String
botnetPercentageComplete Percentage of the push completed Number
botnetStatusMessage Status message of the push String
SSLPercentageComplete Percentage of the push completed Number
SSLStatusMessage Status message of the push String
GamUpdatePercentageComplete Percentage of the push completed Number
GamUpdateStatusMessage Status message of the push String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/action/update_sensor_config/1337547887180

Response

{
  "sigsetConfigPercentageComplete": 1,
  "sigsetConfigStatusMessage": "IN PROGRESS:Generating Signature Segments for Sensor: M-2950. Sig Version: 8.6.0.19",
  "botnetPercentageComplete": 0,
  "botnetStatusMessage": "IN PROGRESS:Queued: Generation of BOT DAT Signature file Segment for Sensor: M-2950",
  "SSLPercentageComplete": 100,
  "SSLStatusMessage": "DOWNLOAD COMPLETE"
		"GamUpdatePercentageComplete”:100,
		"GamUpdateStatusMessage ": "DOWNLOAD COMPLETE"

} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor